Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

- All
- Functions
- Variables
- Enumerations
- Enumerator

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z

Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - a -

- a_addrany : afd
- a_addrlen : afd
- a_af : afd
- a_loopback : afd
- a_off : afd
- a_socklen : afd
- abort_on_exception : rb_thread_struct
- absolute_path : rb_iseq_location_struct
- acquired : rb_global_vm_lock_struct
- actime : utimbuf
- action_check : cparse_params
- action_default : cparse_params
- action_pointer : cparse_params
- action_table : cparse_params
- addr : rb_addrinfo_t , hostent_arg
- ai_addr : addrinfo
- ai_addrlen : addrinfo
- ai_canonname : addrinfo
- ai_family : addrinfo
- ai_flags : addrinfo
- ai_next : addrinfo
- ai_protocol : addrinfo
- ai_socktype : addrinfo
- alen : recvfrom_arg
- alias : yaml_token_s , yaml_event_s , yaml_emitter_s
- alias_count : rb_method_definition_struct
- aliases : yaml_parser_s , cbsubst_info
- alloc : re_pattern_buffer , _BBuf , UnsetAddrList
- allocated : OnigCaptureTreeNodeStruct , re_registers
- allocator : rb_classext_struct
- allow_nan : JSON_Generator_StateStruct , JSON_ParserStruct
- allow_ruby_exit : tcltkip
- allow_trap : rb_mutex_struct
- alt_root : IApplyCaseFoldArg
- anc : OptExactInfo , OptMapInfo , NodeOptInfo
- anchor : iseq_link_anchor , yaml_token_s , yaml_event_s , yaml_alias_data_s , yaml_emitter_s , re_pattern_buffer , OnigToken , _Node
- anchor_data : yaml_emitter_s
- anchor_dmax : re_pattern_buffer
- anchor_dmin : re_pattern_buffer
- anchor_length : yaml_emitter_s
- anchors : yaml_emitter_s
- anychar : OnigMetaCharTableType
- anychar_anytime : OnigMetaCharTableType
- anytime : OnigMetaCharTableType
- api_version : rb_digest_metadata_t
- apply_all_case_fold : OnigEncodingTypeST
- arg : foreach_safe_arg , hash_foreach_arg , dump_call_arg , INamesArg , exec_recursive_params , obj_ivar_tag , rb_unblock_callback
- arg_block : rb_iseq_struct
- arg_keyword : rb_iseq_struct
- arg_keyword_check : rb_iseq_struct
- arg_keyword_table : rb_iseq_struct
- arg_keywords : rb_iseq_struct
- arg_opt_table : rb_iseq_struct
- arg_opts : rb_iseq_struct
- arg_post_len : rb_iseq_struct
- arg_post_start : rb_iseq_struct
- arg_rest : rb_iseq_struct
- arg_simple : rb_iseq_struct
- arg_size : rb_iseq_struct
- argc : invoke_queue , rb_call_info_struct , rb_f_p_arg , rb_context_struct , fiddle_closure , RNode , call_queue , invoke_info , new_wrap_arg_t , foreach_arg , argf_call_arg , rb_method_cfunc_struct , rb_iseq_struct , rescue_funcall_args , iter_method_arg , asynchronous_arg_t
- argf : argf_call_arg
- args : RNode , enumerator , local_vars , cmd_body_arg
- argv : call_queue , fiddle_closure , invoke_queue , invoke_info , new_wrap_arg_t , argf , foreach_arg , argf_call_arg , rescue_funcall_args , iter_method_arg , asynchronous_arg_t , rb_f_p_arg
- argv_buf : rb_execarg
- argv_str : rb_execarg
- array : RVALUE
- array_class : JSON_ParserStruct
- array_delim : JSON_Generator_StateStruct
- array_nl : JSON_Generator_StateStruct
- array_nl_len : JSON_Generator_StateStruct
- ary : RArray , RStruct , RBignum , rb_transcoding , RString , collect_caller_bindings_data , sort_by_data , thgroup_list_params , RObject , rb_transcoding::rb_transcoding_state_t , ary_sort_data
- as : RStruct , select_args , RBignum , RString , st_table , RString , st_table , RObject , RStruct , RObject , RArray , RBignum , RVALUE , RArray
- as_int : PepperInstance
- as_str : PepperInstance
- as_value : PepperInstance
- ascii_compat_name : asciicompat_encoding_t
- ascii_incompat_name : asciicompat_encoding_t
- ascii_only : JSON_Generator_StateStruct
- ascii_range : CtypeNode , OnigToken , AnchorNode
- asciicompat_type : rb_transcoder
- async_call_args : PepperInstance
- async_call_result : PepperInstance
- at_exit : rb_vm_struct
- atime : utime_args
- attr : constat , rb_method_definition_struct
- aux : rb_call_info_struct , RArray , RString , RArray